Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.model.workflow
Interface PlanVersionHistoryElement

public interface PlanVersionHistoryElement

The `PlanVersionHistoryElement` interface offers access to version information of a process definition.

A process definition (`Plan` object) can be identified by its name, its ID and its version number. The version number of a process definition allows for different versions of one process definition.

Every time a new version of a process definition is generated, a new `PlanVersionHistoryElement` is created. This element contains information about the newly created process definition version.

You can retrieve the `PlanVersionHistoryElement`s of a process definition by calling the method `WFSession.getPlanVersionHistory`. The returned list of version history elements provides an overview of the version history with regard to one specific process definition.

See Also:
  `WFSession`, `Plan`

Field Summary
`static int` | `MAX_PLAN_VERSION_COMMENT_LENGTH` Specifies the maximum length of the process definition version comment; currently 256 characters.

Method Summary
`long` | `getCreationTime()` Returns the time when this version was created.
`int` | `getMajorVersion()` Returns the highest version number of the process definition this version history element belongs to.
`int` | `getMinorVersion()` Returns the lowest version number of the process definition this version history element belongs to.
`java.lang.String` | `getOwner()` Returns the name of the process definition's owner.
`java.lang.String` | `getParentVersion()` Returns the version of the process definition from which this version was created.
`long` | `getPlanId()` Returns the ID of the process definition this version history element belongs to.
`int` | `getState()` Returns the state of the process definition when this version history element was created as defined in the `Plan` interface by a constant such as `Plan.STATE_PUBLISHED`.
`java.lang.String` | `getVersionComment()` Returns the optional comment entered when this process definition version was created.

Field Detail

### MAX_PLAN_VERSION_COMMENT_LENGTH

    public static final int MAX_PLAN_VERSION_COMMENT_LENGTH

  Specifies the maximum length of the process definition version comment; currently 256 characters.

  See Also:
    Constant Field Values

Method Detail

### getPlanId

    public long getPlanId()

  Returns the ID of the process definition this version history element belongs to.

  Returns:
    The process definition's unique identifier.

### getMajorVersion

    public int getMajorVersion()

  Returns the highest version number of the process definition this version history element belongs to.

  Returns:
    The major version of the relevant process definition.

### getMinorVersion

    public int getMinorVersion()

  Returns the lowest version number of the process definition this version history element belongs to.

  Returns:
    The minor version of appropriate process definition.

### getParentVersion

    public java.lang.String getParentVersion()

  Returns the version of the process definition from which this version was created. The format of the returned version number is "N.0", where "N" is the number of the version such as 1, 2, 3.

  Returns:
    The version of the process definition this version was created from.

### getVersionComment

    public java.lang.String getVersionComment()

  Returns the optional comment entered when this process definition version was created. Returns an empty `String` if no version comment is defined.

  Returns:
    The version comment

### getOwner

    public java.lang.String getOwner()

  Returns the name of the process definition's owner.

  Returns:
    The process definition's owner

### getCreationTime

    public long getCreationTime()

  Returns the time when this version was created.

  Returns:
    The time of version creation.

### getState

    public int getState()

  Returns the state of the process definition when this version history element was created as defined in the `Plan` interface by a constant such as `Plan.STATE_PUBLISHED`.

  Returns:
    The integer constant specifying the state of the process definition.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD